Subject: Re: [RFC] New type of remote helpers

From: Ramkumar Ramachandra <[email-masked]>
Date: Sun, 3 Oct 2010 22:37:12 +0530

Hi Tom and Jonathan,

Jonathan Nieder writes:
> Sverre Rabbelier wrote:
> > On Sun, Oct 3, 2010 at 13:33, Tomas Carnecky <[email-masked]> wrote:
> 
> >> To test this
> >> approach I created a simple remote helper for svn.
> >
> > I guess it suffices as a POC, but I'd have preferred to see
> > collaboration with the people working on git-remote-svn instead
> > (cc-ed).
> 
> Just a quick note: if this approach gets a working remote helper
> in the hands of users faster, I'm all for it.

First off, great work on the fast-import and the remote-helper! I am
very impressed with the results.

> My only concern is the name: if it is not compatible the planned
> remote helper from the summer of code project, they should probably
> get different names.  Correct me if I'm wrong, but the main
> differences are:
> 
>  - this is scripted and uses local svn working copy operations; the
>    soc project is in C and uses remote access ("replay")

Yes, the name definitely needs to be changed. Maybe name it something
along the lines of "local-svn"?

>  - this uses the nice ls-remote output etc.  Ram, do you think this
>    would be easy to use for remote-svn?

This is quite awesome. Yeah, I suppose we can use it for remote-svn as
well.

> So, not many differences.  Maybe we can standardize the interface
> and consider them alternate implementations?

This helper can't be merged in until Tom's changes to fast-import are
ported to the current fast-import. I just hope that those changes to
fast-import don't conflict with the changes git-remote-svn will
need. Frankly, I'd rather we work towards a common goal.

-- Ram